The Cache: Technology Expert's Forum
 
*
Welcome, Guest. Please login or register. September 23, 2019, 06:44:39 AM

Login with username, password and session length


Pages: [1]
  Print  
Author Topic: so many php.ini! It is driving me nuts  (Read 1900 times)
hvshah69
Rookie
**
Offline Offline

Posts: 21


View Profile
« on: June 28, 2008, 10:45:18 AM »

After having installed PHP5 CLI on my ubuntu machine, I wanted to install Zend studio and apache server to setup a development environment on my machine. So I installed zend studio and xampp package (includes apache,phpmyadmin,mysql etc). The problem is that each package installed their own PHP and corresponding php.ini files.

To make installation of the extensions and other php settings easy and universal across the board, I created symbolic links for each package that point to one single ini file. So now when I execute phpinfo() from various modules, the "loaded configuration file" field points to the same ini files. HOWEVER, paths to extension-folder and include-paths etc. are all different in each case. This tells me that it is not the same php.ini file that is being used for each case. I am quite confused with this behavior.

Any suggestions?
Logged
hvshah69
Rookie
**
Offline Offline

Posts: 21


View Profile
« Reply #1 on: June 28, 2008, 12:24:06 PM »

OK. I think I figured it out. Stupid error on my part with creating symbolic links.

Logged
nutballs
Administrator
Lifer
*****
Offline Offline

Posts: 5627


Back in my day we had 9 planets


View Profile
« Reply #2 on: June 28, 2008, 01:32:56 PM »

glad we could help.  Grin
Logged

I could eat a bowl of Alphabet Soup and shit a better argument than that.
Pages: [1]
  Print  
 
Jump to:  

Perkiset's Place Home   Best of The Cache   phpMyIDE: MySQL Stored Procedures, Functions & Triggers
Politics @ Perkiset's   Pinkhat's Perspective   
cache
mart
coder
programmers
ajax
php
javascript
Powered by MySQL Powered by PHP Powered by SMF 1.1.2 | SMF © 2006-2007, Simple Machines LLC
Seo4Smf v0.2 © Webmaster's Talks


Valid XHTML 1.0! Valid CSS!